Move packages between price tiers
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_price_id": 593363171,
"target_price_id": 593363172,
"price": 372700,
"name": "Oct 2026"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices"
payload = {
"source_price_id": 593363171,
"target_price_id": 593363172,
"price": 372700,
"name": "Oct 2026"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_price_id: 593363171,
target_price_id: 593363172,
price: 372700,
name: 'Oct 2026'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source_price_id' => 593363171,
'target_price_id' => 593363172,
'price' => 372700,
'name' => 'Oct 2026'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices"
payload := strings.NewReader("{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}"
response = http.request(request)
puts response.read_body{
"message": "No available packages found to reprice.",
"moved_count": 0
}{
"price": {
"id": 593363172,
"name": "Oct 2026",
"price": 372700,
"active": true
},
"moved_count": 1
}Stock / Designs
Move packages between price tiers
Moves the design’s packages from one price tier to another and reprices them.
POST
/
{agency_uid}
/
designs
/
{design_id}
/
reprices
Move packages between price tiers
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_price_id": 593363171,
"target_price_id": 593363172,
"price": 372700,
"name": "Oct 2026"
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices"
payload = {
"source_price_id": 593363171,
"target_price_id": 593363172,
"price": 372700,
"name": "Oct 2026"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_price_id: 593363171,
target_price_id: 593363172,
price: 372700,
name: 'Oct 2026'
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source_price_id' => 593363171,
'target_price_id' => 593363172,
'price' => 372700,
'name' => 'Oct 2026'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices"
payload := strings.NewReader("{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/reprices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source_price_id\": 593363171,\n \"target_price_id\": 593363172,\n \"price\": 372700,\n \"name\": \"Oct 2026\"\n}"
response = http.request(request)
puts response.read_body{
"message": "No available packages found to reprice.",
"moved_count": 0
}{
"price": {
"id": 593363172,
"name": "Oct 2026",
"price": 372700,
"active": true
},
"moved_count": 1
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.